Brave suggests update and now my OSX is too old!

How can I get Brave for OSX High Sierra? Brave suggested an update which I did and then now i can not open it as my OSX is too old. Where can I find an older version of Brave for High Sierra?

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.